# Uses of Interface
javax.net.ssl.HandshakeCompletedListener

Packages that use HandshakeCompletedListener
Package
Description
javax.net.ssl
Provides classes for the secure socket package.

## Uses of HandshakeCompletedListener in javax.net.ssl

Methods in javax.net.ssl with parameters of type HandshakeCompletedListener
Modifier and Type
Method
Description
`abstract void`
SSLSocket.`addHandshakeCompletedListener(HandshakeCompletedListener listener)`
Registers an event listener to receive notifications that an SSL handshake has completed on this connection.
`abstract void`
SSLSocket.`removeHandshakeCompletedListener(HandshakeCompletedListener listener)`
Removes a previously registered handshake completion listener.